Package de.gebit.integrity.services

## Class DSLGrammarAccess.CustomOperationElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.CustomOperationElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.CustomOperationElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomOperationElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Assignment` | `getDefinitionAssignment_3()` |
    `org.eclipse.xtext.CrossReference` | `getDefinitionOperationDefinitionCrossReference_3_0()` |
    `org.eclipse.xtext.RuleCall` | `getDefinitionOperationDefinitionQualifiedNameParserRuleCall_3_0_1()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_2()` |
    `org.eclipse.xtext.Group` | `getGroup_4()` |
    `org.eclipse.xtext.Keyword` | `getLeftSquareBracketKeyword_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_4_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_5()` |
    `org.eclipse.xtext.Assignment` | `getPostfixOperandAssignment_4_2()` |
    `org.eclipse.xtext.RuleCall` | `getPostfixOperandValueOrEnumValueOrOperationCollectionParserRuleCall_4_2_0()` |
    `org.eclipse.xtext.Assignment` | `getPrefixOperandAssignment_2_0()` |
    `org.eclipse.xtext.RuleCall` | `getPrefixOperandValueOrEnumValueOrOperationCollectionParserRuleCall_2_0_0()` |
    `org.eclipse.xtext.Keyword` | `getRightSquareBracketKeyword_6()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Keyword` | `getWithKeyword_4_1()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomOperationElements

          public CustomOperationElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getLeftSquareBracketKeyword_0

          public org.eclipse.xtext.Keyword getLeftSquareBracketKeyword_0()

    - #### getNLParserRuleCall_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_1()

    - #### getGroup_2

          public org.eclipse.xtext.Group getGroup_2()

    - #### getPrefixOperandAssignment_2_0

          public org.eclipse.xtext.Assignment getPrefixOperandAssignment_2_0()

    - #### getPrefixOperandValueOrEnumValueOrOperationCollectionParserRuleCall_2_0_0

          public org.eclipse.xtext.RuleCall getPrefixOperandValueOrEnumValueOrOperationCollectionParserRuleCall_2_0_0()

    - #### getNLParserRuleCall_2_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2_1()

    - #### getDefinitionAssignment_3

          public org.eclipse.xtext.Assignment getDefinitionAssignment_3()

    - #### getDefinitionOperationDefinitionCrossReference_3_0

          public org.eclipse.xtext.CrossReference getDefinitionOperationDefinitionCrossReference_3_0()

    - #### getDefinitionOperationDefinitionQualifiedNameParserRuleCall_3_0_1

          public org.eclipse.xtext.RuleCall getDefinitionOperationDefinitionQualifiedNameParserRuleCall_3_0_1()

    - #### getGroup_4

          public org.eclipse.xtext.Group getGroup_4()

    - #### getNLParserRuleCall_4_0

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_4_0()

    - #### getWithKeyword_4_1

          public org.eclipse.xtext.Keyword getWithKeyword_4_1()

    - #### getPostfixOperandAssignment_4_2

          public org.eclipse.xtext.Assignment getPostfixOperandAssignment_4_2()

    - #### getPostfixOperandValueOrEnumValueOrOperationCollectionParserRuleCall_4_2_0

          public org.eclipse.xtext.RuleCall getPostfixOperandValueOrEnumValueOrOperationCollectionParserRuleCall_4_2_0()

    - #### getNLParserRuleCall_5

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_5()

    - #### getRightSquareBracketKeyword_6

          public org.eclipse.xtext.Keyword getRightSquareBracketKeyword_6()